QGIS Application - Bug report #12432
WMTS extent of TileMatrixSet as extent of layer
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20603
Description

QGIS changed behaviour of zooming to WMTS layer recently. The TileMatrixSet extent is wrongly used as the extent of the layer for the
"Zoom to layer" functionality.
It is confusing and annoying for users - as any non-world map is not visible without manual zooming-in with a help of another base map.

It is a usability regression bug. It probably appeared on 2.6 for the first time. In the QGIS versions before (from 1.9+, 2.0, 2.2 and 2.4)
everything was OK and as expected.

To reproduce the problem click on the:

"Layer"->"Add Layer"->"Add WMS/WMTS Layer..."

add this WMTS server:

http://tileserver.maptiler.com/wmts

and choose layer "grandcanyon".

Expected is that you see the preview of the layer - instead you see white area.

See this step-by-step guide for expected behaviour with another test layer and screenshots in the individual steps:
http://tileserver.maptiler.com/#grandcanyon/qgis.guide

The problem is in the step 8. - where the map does not appear - because QGIS zooms always to the whole world and not to the layers's
WGS84BoundingBox which is now ignored.
The layer is so small that it is practically invisible.

The same problem happens with any layer exposed via MapServer, GeoServer or ArcGIS Server - so it is quite critical.

QGIS must parse from the WMTS Capabilities document and extract the WGS84BoundingBox and use the information from this field for
the "Zoom to layer" functionality.

Layers with coverage of the whole world are not affected by this bug. For example "nasa" layer from the test WMTS server above.

The problem was described at QuantumGIS-user mailing list:
http://osgeo-org.1560.x6.nabble.com/Apparent-bug-or-undesirable-behaviour-in-QGIS-2-6-1-2-4-0-td5187337.html

Associated revisions

Revision 7aae459f - 2015-06-05 05:38 PM - Jiirgen Fischer
wmts: also accept extents in WGS84BoundingBox (fixes #12432)

Revision 67d8bf5b - 2015-06-29 06:46 PM - Jiirgen Fischer

wmts: also accept extents in WGS84BoundingBox (fixes #12432)

(cherry picked from commit 7aae459fa9db730df51ae51fc1c144794058eef7)

History

#1 - 2015-03-23 12:30 PM - Giovanni Manghi
- Status changed from Open to Feedback

duplicate of #12253 ?

#2 - 2015-06-05 08:38 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"7aae459fa9db730df51ae51fc1c144794058eef7".
